ifeq (dev, $(ENV))
    dc = docker-compose -f docker-compose.yml -f docker-compose.dev.yml
else
    dc = docker-compose
endif


build_shared:
	cd shared && npm run build

build_bot: build_shared
	cd bot && npm run build

build_web: build_shared
	cd web && npm run build

build_local: build_shared build_bot build_web

build:
	$(dc) build

start_env: build
	$(dc) up db adminer facedetect

start: build
	$(dc) up db adminer noctbot web facedetect

start_bot: build
	$(dc) up db adminer noctbot facedetect

start_web: build
	$(dc) up db adminer web

npmi:
	cd shared && npm install
	cd bot && npm install
	cd web && npm install